Subject: Re: bug#9361: 24.0.50; default value of `dired-do-chmod'

From: Chong Yidong <[email-masked]>
Date: Mon, 12 Sep 2011 16:47:44 -0400

Juri Linkov <[email-masked]> writes:

>> I think there's a problem here, indeed.  It's a bad idea to take an
>> empty input to mean a certain default permission---especially when that
>> default permission is not displayed in the prompt.
>>
>> The following patch makes dired-do-chmod demand a non-empty input.  The
>> precomputed permission is still available in the M-n `future history'.
>
> There are other demands that dired commands should not use `read-string'
> that returns the default value for an empty input.  Please see
> http://lists.gnu.org/archive/html/emacs-devel/2011-07/msg01200.html
>
> So we should either change `read-string' (backward-incompatible change)
> or to change `dired-mark-read-string' not to use `read-string'.

I fixed up `dired-mark-read-string'; that's much safer, since there are
only three callers to worry about.